Figure - 0 O Dev#111918
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O

0 MKO O APPO O Launcher-folder™ O TC-RID: 1201-0205306]

2022-09-1316:56 - CD FW-0O O

Status:
Priority:

0 00O Pending
Normal
Assignee: CDAPP-0 O
Category:

Target version: VX1_MCE_FSE_V3.0_20221030

Start date:
Due date:
% Done: 50%
Estimated time:

2022-09-13

0.00 hour

Description

Related issues:

Copied to Figure - 0 O Dev #112001: 0 MKO O FWO O Adaptivelcon...

00O Closed

2022-09-13

History

#1 - 2022-09-26 17:06 - CD APP-0 O

- Status changed from New to O 00 O Pending

- Target version set to VX1_MCE_FSE_V2.0_20220930
- % Done changed from 0 to 50

ljoooz2o00000000000000000PRD

https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf

20UI000000Bleck0 00O VIDOOOOOOUIODDODODOODODODODODO

#2 - 2022-10-10 20:20 - CD FW-0O O

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#3 - 2022-12-22 20:30 - CD Fw-0 O

Gerrit Merge Information(

1D Project

Branch

Uploader

148256

her3

general/platform/packages/apps/Launc

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

1018a13325f45a0788c7bd26412bd56e2989¢2938

FW: Launcher: Configure default folderl.workspace configure default folderTC-RID: 1201-0205306lssuelD: TS-R-DF-111918Change-Id:

#4 - 2022-12-22 20:30 - CD FW-0O O
Gerrit Merge Information(]

1D Project

Branch

Uploader

148257
her3

general/platform/packages/apps/Launc

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ying.wang@thundersoft.com

2025-07-03
https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf

FW: Launcher: Modify Folder Layoutl.Maodify Folder Layout centerTC-RID: 1201-02053061ssuelD: TS-R-DF-111918Change-Id:
12807ccfead1695b10ac84fd24e415214c4c0a988

#5 - 2022-12-22 20:31 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

148417

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ying.wang@thundersoft.com

FW:Launcher: Fix Folderl.Fix: the folder name cannot be modified when it is empty2.Fix: When the drag exceeds the range, the position is disordered TC-RID:
1201-02053061ssuel D: TS-R-DF-111918Change-Id: 10fd8ac32e1725e400fbcde4bd7fe073de84abed?

#6 - 2022-12-22 20:32 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

148436

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

AF:Launcher: Modify Folder And Remove Button1.Modify folder edit mode scale icon2.Modify system app can't removeTC-RID: 1201-02053061ssuelD:
TS-R-DF-111918Change-Id: 113¢317ac74415208de3932899eca08bec4fbbdce

#7 - 2022-12-22 20:33 - CD FwW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

149333

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify folder Ul1.Modify folder UI2.Fix edit state exits, after dragging to delete3.Modify folder scale pivotTC-RID: 1201-02053061ssuelD:
TS-R-DF-111918Change-1d: 196fcc8111724654c0aebabccOb5fffdf1250fc12

#8 - 2022-12-22 20:33 - CD FW-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

149338

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

2025-07-03
FW:Launcher: Modify the corner of Folder icon and drag shapel.Modify the corner of Folder icon.2.Modify the background shape when dragging a
icon-folder.3.Modify the spacing between application icon and font. TC-RID: 1201-02053061ssuelD: TS-R-DF-111918Change-1d:
11505ec47395fbc356076e6c6d6af2183918d4ab2

#9 - 2022-12-22 20:33 - CD FW-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

149705

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ying.wang@thundersoft.com

FW: Launcher: Fix Dark mode folder background1. Fix folder background color when the theme is dark mode. TC-RID: 1201-02053061ssuelD:
TS-R-DF-111918Change-Id: 145¢7163fcc259cfbb88b26eb0356e76edb3alscd

#10 - 2022-12-22 20:33 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

150014

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Open folder Disable Add widget button1. Open folder Disable Add widget button2. Fix an issue where apps check status was not resetTC-RID:
1201-02053061ssuel D: TS-R-DF-111918Change-Id: 1e386931a7429e3c8aa2dd41577618ff683c4b%e

#11 - 2022-12-22 20:34 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

150084

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify the Fillet of a Folder by config_icon_mask1.Call the system to apply the icon fillet mask to modify the folder icon fillet.2.Modify the drag
folder background shape. TC-RID: 1201-02053061ssuelD: TS-R-DF-111918Change-1d: 18fa07e2¢c53f00c5be5c7b9d0cebc0c3af7h87e47

#12 - 2022-12-22 20:34- CDFwW-0 O

Gerrit Merge Information(]

2025-07-03
1D

Project

Branch

Uploader

150147

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

huangpeng1216@thundersoft.com

FW:Launcher: add folder name edit done button1.add folder name edit done buttonTC-RID: 1201-02053061ssuelD: TS-R-DF-111918Change-1d:
109e117b7f79de15d4ddb303afa80137a5ab944e3

#13 - 2022-12-22 20:34 - CD FwW-O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

150294

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify folder drag multiple shadow box1.Modify folder drag multiple shadow boxTC-RID: 1201-0205306lssuelD: TS-R-DF-111918Change-I1d:
le6b54bf42b9c5h99fead388a46b5068056081bad

#14 - 2022-12-22 20:34 - CD FwW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

150318

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify folderlcon item-view size and spacingl.Modify folderlcon item-view size and spacingTC-RID: 1201-02053061ssuelD:
TS-R-DF-111918Change-1d: 14a01e83216b81dd13ee5ead9c57530e5a5390f16b

#15 - 2022-12-22 20:35 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

150600

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Optimize folder expansion animation1. Select the first four icons in the folder as folder thumbnails.2. Fix animation's end position is wrong.3. Fix
preview icon is cropped in the animation. TC-RID: 1201-02053061ssuel D: TS-R-DF-111918Change-1d: 1fd92e59b74df6dd7897b9754cafa7c1d44566d1a

#16 - 2022-12-22 20:36 - CD FW-0 O

2025-07-03
Gerrit Merge Information(

1D

Project

Branch

Uploader

151132

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Improve folder animation smoothness1. Improve animation smoothness.2. Add an appearance animation for Folderlcon's Background. TC-RID:
1201-0205306lssuelD: TS-R-DF-111918Change-Id: 1e66b799bcc7e482db755c916fa79f2d1de577415

#17 - 2022-12-22 20:37 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

151878

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify folder and page indicatorl. Modify folder size and layout.2. Modify all page indicator shrink effect. TC-RID: 1201-0205306lssuelD:
TS-R-DF-111918Change-Id: 1d3d71724a30aad0165fd1c827c72efc961b250a2

#18 - 2022-12-22 20:38 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152602

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

ying.wang@thundersoft.com

FW:Launcher: Reopen app when start Launcherl. Save last activity.2. Restart the last activity after mcu reboot. TC-RID: 1201-02053061ssuelD:
TS-R-DF-111918Change-1d: 13475a72526b55bfb3b301ba3423ae33514cdb96f

#19 - 2022-12-22 20:41 - CD Fw-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

154422

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Start app when start activity failed1. Restart the app if start the last activity failed. TC-RID: 1201-02053061ssuelD: TS-R-DF-111918Change-Id:
1fb740851636742176563876774a804aa7a20e83c

2025-07-03
#20 - 2022-12-22 20:43 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

155578

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: MCU over voltage protectionl. Restart the last activity depend on settings provider.2. Start the app if start last activity failed.3. Reset the value of
settings provider to 0 after restarting lastactivity. TC-RID: 1201-0205306IssuelD: TS-R-DF-111918Change-Id: 1181db927582d142b2cfa774558dc2a4f1862b58d

#21 - 2022-12-22 20:46 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

157835

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

ying.wang@thundersoft.com

FW:Launcher: Overvoltage protection notifyAfter save the reboot flag we need to notify framework service. TC-RID: 1201-02053061ssuelD:
TS-R-DF-111918Change-Id: 16758510fee57f60d688863ea52021e8adb6ba728

#22 - 2022-12-22 20:47 - CD Fw-0O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

158422

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ying.wang@thundersoft.com

FW:Launcher: Overvoltage protection Gesture issuel.Fix strict mode errot.2.Solved the gesture failure after restart of some applications.Change-Id:
1baf324f1ee8b609d34a756ff72dc80b9164a92a97TC-RID: 1201-02053061ssuel D: TS-R-DF-111918

#23 - 2022-12-22 20:54 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

164238

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

lids1211@thundersoft.com

2025-07-03
FW:Launcher: Modify folder uil. Modify folder size and layout.2. Modify icon in folder.3. Add edit folder name dialog. TC-RID: 1201-0205306Issuel D:
TS-R-DF-111918Change-1d: lad3b1c3a87003a758bdce7a346447{f5842843d9

#24 - 2022-12-29 18:08 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

172926

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Improve folder animation1. Improve folder animation. TC-RID: 1201-0205306lssuelD: TS-R-DF-111918Change-1d:
16c8f9c4fd1d4c5f416c4f5b88ebbe8cacc27769

#25 - 2023-03-20 16:29 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

188581

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:VC1 Adaptationl.folder ui adjustmentTC-RID: 1201-0205306lssuelD: TS-R-DF-111918Change-Id: 1a5b0385c7ef3e897fde8d47e3f07c494e0d24c01

#26 - 2023-06-14 19:32 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

207316

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fix unpacking error in folder1.When there are two apps that can be uninstalled in the folder, quickly drag them to the uninstall place, and the app
icon will disappearTC-RID: 1201-02053061ssuelD: TS-R-DF-111918,10VDEV-33612Change-Id: 1f22cc42f615ee3edc8d38cc2c5b1c386e7ce103d

#27 - 2023-06-20 22:14 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

208875

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03

AF:Launcher:Fix unpacking error in folder1.When there are two apps that can be uninstalled in the folder, quickly drag them to the uninstall place, and the app
icon will disappearTC-RID: 1201-02053061ssuelD: TS-R-DF-111918,10VDEV-33612Change-1d: 1f22cc42f615ee3edc8d38cc2c5h1c386e7ce103d(cherry picked
from commit cd439f529ee24h9ab70f4616f0d03c15a12ee802)

#28 - 2023-07-18 09:39 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

215397

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:folder icon overflowTC-RID: 1201-02053061ssuelD: TS-R-DF-111918,I0VDEV-37451Change-Id: 11f2405d338fce179d62f07bb80e605d4e76621ae

#29 - 2023-07-18 18:27 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

215779

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: add log to analyze issueAdd logic about gesture's animation start andwork to check the state. TC-RID: 1201-02053061ssuel D:
TS-R-DF-111918,10VDEV-36409Change-1d: 131f3c16d19b7c7568a9f6e51bc8da38937a8dfb4

#30 - 2023-07-20 00:03 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

216253

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:folder icon overflowTC-RID: 1201-02053061ssuelD: TS-R-DF-111918,I0VDEV-37451Change-Id:
11f2405d338fce179d62f07bb80e605d4e76621ae(cherry picked from commit ac4e6ff125f0778bde05b0a24bd06bbc76ba2773)

#31 - 2023-07-20 00:03 - IoT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

216254

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

2025-07-03
AF:Launcher: add log to analyze issueAdd logic about gesture's animation start andwork to check the state. TC-RID: 1201-02053061ssuelD:
TS-R-DF-111918,I0VDEV-36409Change-Id: 131f3c16d19b7c7568a9f6e51bc8da38937a8dfh4(cherry picked from commit
3466¢7314492b7hdaae987ec1d8fédc9Ic280bb2e)

#32 - 2023-12-22 15:39 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
338930 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -dev

AF:Launcher:Hide dialog when launcher life cycle is not visible1. Hide dialog when launcher life cycle is not visibleTC-RID: 1201-02053061ssuelD:
TS-R-DF-111918,I0VDEV-51324Change-Id: Idcacef5efc70fc78b3e8ab9a3bel8fc089ab9a3c

#33 - 2023-12-25 21:43 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
339853 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssil2 | wangxl0510@thundersoft.com
her3 -release_sorp

AF:Launcher:Hide dialog when launcher life cycle is not visible1. Hide dialog when launcher life cycle is not visibleTC-RID: 1201-02053061ssuelD:
TS-R-DF-111918,I0VDEV-51324Change-Id: Idcacef5efc70fc78b3e8ab9a3bel18fc089ab9a3c(cherry picked from commit
e435c1b38690ce53897138b1fa68c60103042074)

#34 - 2023-12-26 15:51 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
339435 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -dev

AF:Launcher: Modify hicar dialog click backgroundTC-RID: 1201-0205306lssuelD: TS-R-DF-111918,I0VDEV-51671Change-I1d:
1b6a49d04e9a6943b36da0c026932afe97252d28

#35 - 2023-12-27 23:55 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
340577 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -release_sorp
AF:Launcher: Modify hicar dialog click backgroundTC-RID: 1201-02053061ssuelD: TS-R-DF-111918,I0VDEV-51671Change-1d:
1b6249d04e9a6943b36da0c026f932afe97252d28(cherry picked from commit Obce1598344daa91a3d646ee64af162f1612fed0)

2025-07-03 10/10



